import { CharacterMetadata, DraftEntityMutability, DraftInlineStyle } from 'draft-js';
import { AtomicData } from '../@atomic';
import { Feature } from '../@feature';
export interface AutoTransformFeatureMatchEntityDescriptor {
    type: string;
    mutability: DraftEntityMutability;
    data?: object;
}
export interface AutoTransformFeatureMatchResult {
    preMatch?: boolean;
    opening: string;
    closing: string;
    markdownFragments: string[];
    textFragments: string[];
    style?: DraftInlineStyle;
    entity?: AutoTransformFeatureMatchEntityDescriptor;
    atomic?: AtomicData;
}
export interface AutoTransformFeatureOptions {
    matcher(leftText: string, input: string, rightText: string): AutoTransformFeatureMatchResult | undefined;
    compatibilityTester(opening: CharacterMetadata[], content: CharacterMetadata[], closing: CharacterMetadata[]): boolean;
}
export declare function createAutoTransformFeature({ matcher, compatibilityTester, }: AutoTransformFeatureOptions): Feature;
//# sourceMappingURL=@auto-transform-feature.d.ts.map